Skip to main content
POST
/
v1
/
workflows
/
versions
/
{workflow_version_id}
/
restore
Restore Workflow Version
curl --request POST \
  --url https://api.retab.com/v1/workflows/versions/{workflow_version_id}/restore \
  --header 'Api-Key: <api-key>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "Untitled Workflow",
  "description": "",
  "project_id": "<string>",
  "published": {
    "version_id": "<string>",
    "published_at": "2023-11-07T05:31:56Z",
    "description": ""
  },
  "capabilities": []
}
Restore a workflow graph version into a new workflow draft.
Python
workflow_version_id = "wfv_abc123"
print(workflow_version_id)
TypeScript
const workflowVersionId = "wfv_abc123";
console.log(workflowVersionId);
Go
workflowVersionID := "wfv_abc123"
_ = workflowVersionID
Java
String workflowVersionId = "wfv_abc123";
System.out.println(workflowVersionId);
cURL
curl -X POST "https://api.retab.com/v1/workflows/versions/wfv_abc123/restore?workflow_id=wf_abc123" \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

workflow_version_id
string
required

Query Parameters

workflow_id
string
required

Workflow to restore into a new draft

Response

Successful Response

A workflow and its current configuration.

id
string
required

Unique ID for this workflow

created_at
string<date-time>
required
updated_at
string<date-time>
required
name
string
default:Untitled Workflow

The name of the workflow

description
string
default:""

Description of the workflow

project_id
string | null

Project that owns this workflow. Null means the organization's shared workflows project.

published
WorkflowPublished · object

Published workflow metadata when a published version exists

capabilities
enum<string>[] | null

Server-derived permissions for the current actor.

Available options:
workflow:view,
workflow:edit,
workflow:run,
workflow:delete,
workflow:publish,
workflow:review,
workflow:manage
authz_status
enum<string> | null

Provisioning state of this workflow's WorkOS authorization resource.

Available options:
provisioning,
ready,
failed,
deleting,
deleted